stages:
  - test
  - deploy

Coverage:
  image: python:3.6
  stage: test
  before_script:
    - pip install -r requirements.txt
    - python manage.py makemigrations story9
    - python manage.py migrate story9
  when: on_success
  script:
    - coverage run --source='./story9/' manage.py test story9
    - coverage report -m
    
Deployment:
  image: ruby:2.4
  stage: deploy
  before_script:
    - gem install dpl
    - wget -qO- https://cli-assets.heroku.com/install-ubuntu.sh | sh
  script:
    - dpl --provider=heroku --app=$HEROKU_APPNAME --api-key=$HEROKU_APIKEY
    - export HEROKU_API_KEY=$HEROKU_APIKEY
  environment:
    name: production
    url: $HEROKU_APP_HOST
  only:
    - master